net.sourceforge.pmd

## Class RuleSetTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.RuleSetTest

    public class RuleSetTest
    extends RuleTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`RuleSetTest()`

### Method Summary

Methods
`protected List<ASTCompilationUnit>` `makeCompilationUnits()`
`static junit.framework.Test` `suite()`
`void` `testAccessors()`
`void` `testAddExcludePattern()`
`void` `testAddExcludePatterns()`
`void` `testAddIncludePattern()`
`void` `testAddIncludePatterns()`
`void` `testAddRuleSet()`
`void` `testAddRuleSetByReferenceAllRule()`
`void` `testAddRuleSetByReferenceBad()`
`void` `testAddRuleSetByReferenceSingleRule()`
`void` `testApply0Rules()`
`void` `testEquals1()`
`void` `testEquals2()`
`void` `testEquals3()`
`void` `testEquals4()`
`void` `testEquals5()`
`void` `testEquals6()`
`void` `testGetRuleByName()`
`void` `testGetRuleByName2()`
`void` `testIncludeExcludeApplies()`
`void` `testIncludeExcludeMultipleRuleSetWithRuleChainApplies()`
`void` `testIncludesRuleWithDFA()`
`void` `testLanguageApplies()`
`void` `testNoDFA()`
`void` `testRuleList()`
`void` `testSetExcludePatterns()`
`void` `testSetIncludePatterns()`
`protected void` `verifyRuleSet(RuleSet IUT, int size, Set values)`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuleSetTest

    public RuleSetTest()

### Method Detail

#### testNoDFA

    public void testNoDFA()

#### testIncludesRuleWithDFA

    public void testIncludesRuleWithDFA()

#### testAccessors

    public void testAccessors()

#### testGetRuleByName

    public void testGetRuleByName()

#### testGetRuleByName2

    public void testGetRuleByName2()

#### testRuleList

    public void testRuleList()

#### testAddRuleSet

    public void testAddRuleSet()

#### testAddRuleSetByReferenceBad

    public void testAddRuleSetByReferenceBad()

#### testAddRuleSetByReferenceAllRule

    public void testAddRuleSetByReferenceAllRule()

#### testAddRuleSetByReferenceSingleRule

    public void testAddRuleSetByReferenceSingleRule()

#### testApply0Rules

    public void testApply0Rules()
                         throws Throwable

Throws:
  `Throwable`

#### testEquals1

    public void testEquals1()

#### testEquals2

    public void testEquals2()

#### testEquals3

    public void testEquals3()

#### testEquals4

    public void testEquals4()

#### testEquals5

    public void testEquals5()

#### testEquals6

    public void testEquals6()

#### testLanguageApplies

    public void testLanguageApplies()

#### testAddExcludePattern

    public void testAddExcludePattern()

#### testAddExcludePatterns

    public void testAddExcludePatterns()

#### testSetExcludePatterns

    public void testSetExcludePatterns()

#### testAddIncludePattern

    public void testAddIncludePattern()

#### testAddIncludePatterns

    public void testAddIncludePatterns()

#### testSetIncludePatterns

    public void testSetIncludePatterns()

#### testIncludeExcludeApplies

    public void testIncludeExcludeApplies()

#### testIncludeExcludeMultipleRuleSetWithRuleChainApplies

    public void testIncludeExcludeMultipleRuleSetWithRuleChainApplies()
                                                               throws PMDException

Throws:
  `PMDException`

#### verifyRuleSet

    protected void verifyRuleSet(RuleSet IUT,
                     int size,
                     Set values)
                          throws Throwable

Throws:
  `Throwable`

#### makeCompilationUnits

    protected List<ASTCompilationUnit> makeCompilationUnits()
                                                     throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()